Top-Themen

Aktuelle Themen (A bis Z)

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit

gelöst PHP Installation unter CentOS 6

Mitglied: frank-f

frank-f (Level 1) - Jetzt verbinden

16.12.2014, aktualisiert 17.12.2014, 1898 Aufrufe

Guten Tag allerseits,
ich hoffe einer kann mir helfen.

Ich versuche auf meinem V-Server mit CentOS 6 PHP zu installieren. APACHE ist schon vorinstalliert.

ich habe es einfachhaltshalber probiert mit yum install php

Folgende Ausgabe erscheint dann nun bei mir in Putty:

01.
  
02.
[root@s18073093 ~]# yum install php 
03.
Loaded plugins: fastestmirror 
04.
Setting up Install Process 
05.
Loading mirror speeds from cached hostfile 
06.
 * epel: mirror.de.leaseweb.net 
07.
 * rpmforge: mirror.de.leaseweb.net 
08.
 * webtatic: uk.repo.webtatic.com 
09.
base                                                     | 3.7 kB     00:00 
10.
extras                                                   | 3.4 kB     00:00 
11.
mysql-connectors-community                               | 2.5 kB     00:00 
12.
mysql-tools-community                                    | 2.5 kB     00:00 
13.
mysql56-community                                        | 2.5 kB     00:00 
14.
rpmforge                                                 | 1.9 kB     00:00 
15.
updates                                                  | 3.4 kB     00:00 
16.
Resolving Dependencies 
17.
--> Running transaction check 
18.
---> Package php.x86_64 0:5.3.29-3.w5 will be installed 
19.
--> Processing Dependency: php-common = 5.3.29-3.w5 for package: php-5.3.29-3.w5.x86_64 
20.
--> Processing Dependency: php-cli = 5.3.29-3.w5 for package: php-5.3.29-3.w5.x86_64 
21.
--> Processing Dependency: libssl.so.6()(64bit) for package: php-5.3.29-3.w5.x86_64 
22.
--> Processing Dependency: libcrypto.so.6()(64bit) for package: php-5.3.29-3.w5.x86_64 
23.
--> Running transaction check 
24.
---> Package openssl098e.x86_64 0:0.9.8e-18.el6_5.2 will be installed 
25.
---> Package php.x86_64 0:5.3.29-3.w5 will be installed 
26.
--> Processing Dependency: php-common = 5.3.29-3.w5 for package: php-5.3.29-3.w5.x86_64 
27.
--> Processing Dependency: php-cli = 5.3.29-3.w5 for package: php-5.3.29-3.w5.x86_64 
28.
--> Finished Dependency Resolution 
29.
Error: Package: php-5.3.29-3.w5.x86_64 (webtatic) 
30.
           Requires: php-cli = 5.3.29-3.w5 
31.
           Installed: php-cli-5.4.35-1.el6.remi.x86_64 (@remi) 
32.
               php-cli = 5.4.35-1.el6.remi 
33.
           Available: php-cli-5.2.17-1.1.w5.x86_64 (webtatic) 
34.
               php-cli = 5.2.17-1.1.w5 
35.
           Available: php-cli-5.3.3-38.el6.x86_64 (base) 
36.
               php-cli = 5.3.3-38.el6 
37.
           Available: php-cli-5.3.3-40.el6_6.x86_64 (updates) 
38.
               php-cli = 5.3.3-40.el6_6 
39.
           Available: php-cli-5.3.27-2.w5.x86_64 (webtatic) 
40.
               php-cli = 5.3.27-2.w5 
41.
           Available: php-cli-5.3.28-1.w5.x86_64 (webtatic) 
42.
               php-cli = 5.3.28-1.w5 
43.
           Available: php-cli-5.3.28-2.w5.x86_64 (webtatic) 
44.
               php-cli = 5.3.28-2.w5 
45.
           Available: php-cli-5.3.28-3.w5.x86_64 (webtatic) 
46.
               php-cli = 5.3.28-3.w5 
47.
           Available: php-cli-5.3.28-4.w5.x86_64 (webtatic) 
48.
               php-cli = 5.3.28-4.w5 
49.
           Available: php-cli-5.3.29-1.w5.x86_64 (webtatic) 
50.
               php-cli = 5.3.29-1.w5 
51.
           Available: php-cli-5.3.29-2.w5.x86_64 (webtatic) 
52.
               php-cli = 5.3.29-2.w5 
53.
           Available: php-cli-5.3.29-3.w5.x86_64 (webtatic) 
54.
               php-cli = 5.3.29-3.w5 
55.
Error: Package: php-5.3.29-3.w5.x86_64 (webtatic) 
56.
           Requires: php-common = 5.3.29-3.w5 
57.
           Installed: php-common-5.4.35-1.el6.remi.x86_64 (@remi) 
58.
               php-common = 5.4.35-1.el6.remi 
59.
           Available: php-common-5.2.17-1.1.w5.x86_64 (webtatic) 
60.
               php-common = 5.2.17-1.1.w5 
61.
           Available: php-common-5.3.3-38.el6.x86_64 (base) 
62.
               php-common = 5.3.3-38.el6 
63.
           Available: php-common-5.3.3-40.el6_6.x86_64 (updates) 
64.
               php-common = 5.3.3-40.el6_6 
65.
           Available: php-common-5.3.27-2.w5.x86_64 (webtatic) 
66.
               php-common = 5.3.27-2.w5 
67.
           Available: php-common-5.3.28-1.w5.x86_64 (webtatic) 
68.
               php-common = 5.3.28-1.w5 
69.
           Available: php-common-5.3.28-2.w5.x86_64 (webtatic) 
70.
               php-common = 5.3.28-2.w5 
71.
           Available: php-common-5.3.28-3.w5.x86_64 (webtatic) 
72.
               php-common = 5.3.28-3.w5 
73.
           Available: php-common-5.3.28-4.w5.x86_64 (webtatic) 
74.
               php-common = 5.3.28-4.w5 
75.
           Available: php-common-5.3.29-1.w5.x86_64 (webtatic) 
76.
               php-common = 5.3.29-1.w5 
77.
           Available: php-common-5.3.29-2.w5.x86_64 (webtatic) 
78.
               php-common = 5.3.29-2.w5 
79.
           Available: php-common-5.3.29-3.w5.x86_64 (webtatic) 
80.
               php-common = 5.3.29-3.w5 
81.
 You could try using --skip-broken to work around the problem 
82.
 You could try running: rpm -Va --nofiles --nodigest 
83.
 
EDIT:
Problem gelöst!

ich hab via

yum remove php-common

ein schon vorinstalliertes paket deinstalliert welches die probleme verursacht hat.
Als ich dann anschließend PHP ganz normal installiert habe (via: yum install php ) wurde dieses mitinstalliert.

Jetzt noch den httpd Dienst neu gestartet und alles super.

Grüße Frank
Ähnliche Inhalte
RedHat, CentOS, Fedora
CentOS 6 Crash - wie Fehler analysieren?
Frage von Clero92RedHat, CentOS, Fedora3 Kommentare

Hallo, mein Root-Server crashed seit ein paar Tagen immer wieder (Zeitraum: immer nach ~ 2 Tagen). OS: CentOS6 Updates: ...

Hyper-V

CentOS 6 Linux auf HyperV - Festplatten Größe erweitern

Anleitung von rzlbrnftHyper-V1 Kommentar

Folgende Problemstellung musste ich lösen: Unsere CentOS 6 Installation die für Nagios/Nagvis/Centreon gedacht war, wurde auf einer 10 GB ...

Vmware

Bitte Hilfe um Centos 6 über vmware von ausen zu erreichen

gelöst Frage von Jens34DAVmware9 Kommentare

Hallo liebe Admins :) erstmal sorry für meine schreibfehler ich habe lrs(lese rechtschreib schwäche) ich habe ein problem ich ...

RedHat, CentOS, Fedora

PHP geht wieder zurück auf alte Version auf einem CentOS-Server

Frage von StefanKittelRedHat, CentOS, Fedora2 Kommentare

Hallo, bei einem Kunden steht noch ein alter CentOS-Server mit 5.11 (final). Darauf läuft Plesk und PHP 5.3. Nun ...

Neue Wissensbeiträge
Windows 10

Neue Sicherheitslücke in Windows 10 (Version 1709) durch Google öffentlich geworden

Information von kgborn vor 4 StundenWindows 10

Vor ein paar Tagen haben Googles Sicherheitsforscher vom Projekt Zero eine Sicherheitslücke im Edge-Browser publiziert. Jetzt wurde eine weitere ...

iOS
IOS 11.2.6 verfügbar
Information von sabines vor 10 StundeniOS

Mit dem Update soll der Bug behoben werden, bei dem eine bestimmte Zeichenkette IOS zum Absturz gebracht hat.

Sicherheit
Sicherheitsrisiko: Die Krux mit 7-Zip
Information von kgborn vor 1 TagSicherheit8 Kommentare

Bei vielen Anwendern ist das Tool 7-Zip zum Entpacken von Archivdateien im Einsatz. Die Software ist kostenlos und steht ...

Internet

Datendealing im WWW Tracking Methoden immer brutaler

Information von sabines vor 1 TagInternet

Interessanter Artikel zum Thema Tracking im WWW und die immer "besseren" Methoden des Trackings. Professor Arvind Narayanan (Princeton-Universität) betreibt ...

Heiß diskutierte Inhalte
Router & Routing
LANCOM VPN CLIENT einrichten
Frage von Finchen961988Router & Routing27 Kommentare

Hallo, ich habe ein Problem und hoffe ihr könnt mir helfen, wir haben einen Kunden der hat einen Speedport ...

Windows Server
AD DS findet Domäne nicht, behebbar?
Frage von schapitzWindows Server23 Kommentare

Guten Tag, ich habe bei einem Kunden ein Problem mit den AD DS. Umgebung ist folgende: Windows Server 2016 ...

LAN, WAN, Wireless
VPN Cisco ASA5505 PaloAlto PA-200
gelöst Frage von YannoschLAN, WAN, Wireless22 Kommentare

Hallo zusammen, ich würde gerne ein Site-to-Site VPN zwischen den beiden Standorten aufbauen. PaloAlto PA200 Internetanschluss Deutsche Telekom GK ...

Webbrowser
Welcher Browser ist der Beste?
Frage von justtinWebbrowser15 Kommentare

Hallo Leute Ich habe eine interessante Frage. Mich wurde mal interessieren welcher Browser ist eure meinung nach der beste? ...